[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [tycho-user] Problem with Juno SR1

Hello,

forget about this. This is not related to Juno SR1 but rather to the fact that I added the Babel Juno repository in my build target file and it seems SWT fragments from Babel prevent platform specific fragments to be added to the compilation classpath
Removing the Babel repository fixes the issue.

Jeff

On Mon, Oct 1, 2012 at 6:37 PM, Jeff MAURY <jeffmaury@xxxxxxxxxxxxx> wrote:
Hello,

I have a Tycho based product which I compiled for months against Galileo, Helios, Indigo and Juno.
Since an update has been published on the Juno repository (downloads.eclipse.rg/releases/juno, my build fails now (only for Juno) because the tycho compiler cannot found SWT classes.
I have looked and the problem is that the computed classpath has org.eclipse.swt JAR but does not have corresponding platform dependent fragment.
Any trick ?

Jeff


--
Jeff MAURY


"Legacy code" often differs from its suggested alternative by actually working and scaling.
 - Bjarne Stroustrup

http://www.jeffmaury.com
http://riadiscuss.jeffmaury.com
http://www.twitter.com/jeffmaury



--
Jeff MAURY


"Legacy code" often differs from its suggested alternative by actually working and scaling.
 - Bjarne Stroustrup

http://www.jeffmaury.com
http://riadiscuss.jeffmaury.com
http://www.twitter.com/jeffmaury